# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['saleor',
 'saleor.account',
 'saleor.account.management',
 'saleor.account.management.commands',
 'saleor.account.migrations',
 'saleor.account.templatetags',
 'saleor.app',
 'saleor.app.management',
 'saleor.app.management.commands',
 'saleor.app.migrations',
 'saleor.checkout',
 'saleor.checkout.migrations',
 'saleor.core',
 'saleor.core.db',
 'saleor.core.management',
 'saleor.core.management.commands',
 'saleor.core.migrations',
 'saleor.core.templatetags',
 'saleor.core.utils',
 'saleor.data_feeds',
 'saleor.data_feeds.management',
 'saleor.data_feeds.management.commands',
 'saleor.demo',
 'saleor.demo.management',
 'saleor.demo.management.commands',
 'saleor.discount',
 'saleor.discount.migrations',
 'saleor.discount.templatetags',
 'saleor.giftcard',
 'saleor.giftcard.migrations',
 'saleor.graphql',
 'saleor.graphql.account',
 'saleor.graphql.account.deprecated',
 'saleor.graphql.account.mutations',
 'saleor.graphql.app',
 'saleor.graphql.checkout',
 'saleor.graphql.core',
 'saleor.graphql.core.types',
 'saleor.graphql.core.utils',
 'saleor.graphql.discount',
 'saleor.graphql.giftcard',
 'saleor.graphql.management',
 'saleor.graphql.management.commands',
 'saleor.graphql.menu',
 'saleor.graphql.meta',
 'saleor.graphql.meta.deprecated',
 'saleor.graphql.order',
 'saleor.graphql.order.bulk_mutations',
 'saleor.graphql.order.mutations',
 'saleor.graphql.page',
 'saleor.graphql.payment',
 'saleor.graphql.plugins',
 'saleor.graphql.product',
 'saleor.graphql.product.bulk_mutations',
 'saleor.graphql.product.dataloaders',
 'saleor.graphql.product.mutations',
 'saleor.graphql.product.types',
 'saleor.graphql.shipping',
 'saleor.graphql.shop',
 'saleor.graphql.translations',
 'saleor.graphql.utils',
 'saleor.graphql.warehouse',
 'saleor.graphql.webhook',
 'saleor.graphql.wishlist',
 'saleor.menu',
 'saleor.menu.migrations',
 'saleor.order',
 'saleor.order.migrations',
 'saleor.order.templatetags',
 'saleor.page',
 'saleor.page.migrations',
 'saleor.payment',
 'saleor.payment.gateways',
 'saleor.payment.gateways.braintree',
 'saleor.payment.gateways.dummy',
 'saleor.payment.gateways.razorpay',
 'saleor.payment.gateways.stripe',
 'saleor.payment.migrations',
 'saleor.plugins',
 'saleor.plugins.anonymize',
 'saleor.plugins.avatax',
 'saleor.plugins.migrations',
 'saleor.plugins.vatlayer',
 'saleor.plugins.webhook',
 'saleor.product',
 'saleor.product.management',
 'saleor.product.management.commands',
 'saleor.product.migrations',
 'saleor.product.templatetags',
 'saleor.product.utils',
 'saleor.search',
 'saleor.search.backends',
 'saleor.search.management',
 'saleor.search.management.commands',
 'saleor.search.migrations',
 'saleor.seo',
 'saleor.seo.schema',
 'saleor.shipping',
 'saleor.shipping.migrations',
 'saleor.site',
 'saleor.site.migrations',
 'saleor.warehouse',
 'saleor.warehouse.migrations',
 'saleor.webhook',
 'saleor.webhook.migrations',
 'saleor.wishlist',
 'saleor.wishlist.migrations',
 'saleor.wsgi']

package_data = \
{'': ['*'],
 'saleor': ['static/*',
            'static/images/*',
            'static/placeholders/*',
            'static/placeholders/products-list/*']}

install_requires = \
['babel>=2.8,<2.9',
 'boto3>=1.12,<2.0',
 'braintree>=3.49.0,<3.50.0',
 'celery[redis]>=4.3.0,<5.0.0',
 'dj-database-url>=0,<1',
 'dj-email-url>=1,<2',
 'django-cache-url>=3.1.2,<4.0.0',
 'django-countries>=6.1,<7.0',
 'django-filter>=2.2,<3.0',
 'django-graphql-jwt==0.3.0',
 'django-measurement>=3.0,<4.0',
 'django-mptt>=0,<1',
 'django-phonenumber-field>=4.0,<5.0',
 'django-prices-openexchangerates>=1.0.1,<2.0.0',
 'django-prices-vatlayer>=1.1.0,<2.0.0',
 'django-prices>=2.1,<3.0',
 'django-storages[google]>=1.7.1,<2.0.0',
 'django-templated-email>=2.3.0,<3.0.0',
 'django-versatileimagefield>=2.0,<3.0',
 'django>=3.0.6,<4.0.0',
 'draftjs-sanitizer>=1.0.0,<2.0.0',
 'faker>=4.0,<5.0',
 'freezegun>=0,<1',
 'google-cloud-storage>=1.18.0,<2.0.0',
 'google-i18n-address>=2.3.5,<3.0.0',
 'google-measurement-protocol>=1.0,<2.0',
 'graphene-django>=2.9.1,<3.0.0',
 'graphene-federation>=0.1.0,<0.2.0',
 'html-to-draftjs>=1.0.1,<2.0.0',
 'jaeger-client>=4.3.0,<5.0.0',
 'markdown>=3.1.1,<4.0.0',
 'maxminddb-geolite2>=2018.701,<2019.0',
 'maxminddb>=1.5.4,<2.0.0',
 'oauthlib>=3.0,<4.0',
 'opentracing>=2.3.0,<3.0.0',
 'phonenumberslite>=8.12.2,<9.0.0',
 'prices>=1.0,<2.0',
 'psycopg2-binary>=2.8.3,<3.0.0',
 'purl>=1.5,<2.0',
 'razorpay>=1.2,<2.0',
 'requests>=2.22,<3.0',
 'sentry-sdk>=0,<1',
 'stripe>=2.47.0,<3.0.0',
 'text-unidecode>=1.2,<2.0',
 'tqdm>=4.36,<5.0',
 'weasyprint>=48']

extras_require = \
{':sys_platform != "win32"': ['uwsgi>=2.0.8,<3.0.0'],
 ':sys_platform == "win32"': ['python-magic-bin>=0.4.14,<0.5.0']}

setup_kwargs = {
    'name': 'saleor',
    'version': '2.10.1',
    'description': 'A modular, high performance e-commerce storefront built with GraphQL, Django, and ReactJS.',
    'long_description': '![Saleor Commerce - A GraphQL-first platform for perfectionists](https://user-images.githubusercontent.com/249912/71523206-4e45f800-28c8-11ea-84ba-345a9bfc998a.png)\n\n<div align="center">\n  <h1>Saleor Commerce</h1>\n</div>\n\n<div align="center">\n  <strong>Customer-centric e-commerce on a modern stack</strong>\n</div>\n\n<div align="center">\n  A headless, GraphQL-first e-commerce platform delivering ultra-fast, dynamic, personalized shopping experiences. Beautiful online stores, anywhere, on any device.\n</div>\n\n<br>\n\n<div align="center">\n  Join our active, engaged community: <br>\n  <a href="https://saleor.io/">Website</a>\n  <span> | </span>\n  <a href="https://medium.com/saleor">Blog</a>\n  <span> | </span>\n  <a href="https://twitter.com/getsaleor">Twitter</a>\n  <span> | </span>\n  <a href="https://gitter.im/mirumee/saleor">Gitter</a>\n  <span> | </span>\n  <a href="https://spectrum.chat/saleor">Spectrum</a>\n</div>\n\n<br>\n\n<div align="center">\n  <a href="https://circleci.com/gh/mirumee/saleor">\n    <img src="https://circleci.com/gh/mirumee/saleor.svg?style=svg" alt="Build status" />\n  </a>\n  <a href="http://codecov.io/github/mirumee/saleor?branch=master">\n    <img src="http://codecov.io/github/mirumee/saleor/coverage.svg?branch=master" alt="Codecov" />\n  </a>\n  <a href="https://docs.saleor.io/">\n    <img src="https://img.shields.io/badge/docs-docs.saleor.io-brightgreen.svg" alt="Documentation" />\n  </a>\n  <a href="https://github.com/python/black">\n    <img src="https://img.shields.io/badge/code%20style-black-000000.svg" alt="Code style: black">\n  </a>\n</div>\n\n## Table of Contents\n\n- [What makes Saleor special?](#what-makes-saleor-special)\n- [Features](#features)\n- [Installation](#installation)\n- [Documentation](#documentation)\n- [Demo](#demo)\n- [Contributing](#contributing)\n- [Translations](#translations)\n- [Your feedback](#your-feedback)\n- [License](#license)\n\n## What makes Saleor special?\n\nSaleor is a rapidly-growing open source e-commerce platform that has served high-volume companies from branches like publishing and apparel since 2012. Based on Python and Django, the latest major update introduces a modular front end powered by a GraphQL API and written with React and TypeScript.\n\n## Features\n\n- **PWA**: End users can shop offline for better sales and shopping experiences\n- **GraphQL API**: Access all data from any web or mobile client using the latest technology\n- **Headless commerce**: Build mobile apps, customize storefronts and externalize processes\n- **UX and UI**: Designed for a user experience that rivals even the top commercial platforms\n- **Dashboard**: Administrators have total control of users, processes, and products\n- **Orders**: A comprehensive system for orders, dispatch, and refunds\n- **Cart**: Advanced payment and tax options, with full control over discounts and promotions\n- **Payments**: Flexible API architecture allows integration of any payment method. It comes with Braintree support out of the box.\n- **Geo-adaptive**: Automatic localized pricing. Over 20 local languages. Localized checkout experience by country.\n- **SEO**: Packed with features that get stores to a wider audience\n- **Cloud**: Optimized for deployments using Docker\n- **Analytics**: Server-side Google Analytics to report e-commerce metrics without affecting privacy\n\nSaleor is free and always will be.\nHelp us out… If you love free stuff and great software, give us a star! 🌟\n\n![Saleor Storefront - React-based PWA e-commerce storefront](https://user-images.githubusercontent.com/249912/71527146-5b6be280-28da-11ea-901d-eb76161a6bfb.png)\n![Saleor Dashboard - Modern UI for managing your e-commerce](https://user-images.githubusercontent.com/249912/71523261-8a795880-28c8-11ea-98c0-6281ea37f412.png)\n\n## Installation\n\nSaleor requires Python 3.8, Node.js 10.0+, PostgreSQL and OS-specific dependency tools.\n\n[See the Saleor docs](https://docs.saleor.io/docs/getting-started/intro/) for step-by-step installation and deployment instructions.\n\nNote:\nThe `master` branch is the development version of Saleor and it may be unstable. To use the latest stable version, download it from the [Releases](https://github.com/mirumee/saleor/releases/) page or switch to a release tag.\n\nThe current stable version is 2.10 and you should use this version for all three components:\n\n- Saleor: https://github.com/mirumee/saleor/releases/tag/2.10.1\n- Dashboard: https://github.com/mirumee/saleor-dashboard/releases/tag/2.10.0\n- Storefront: https://github.com/mirumee/saleor-storefront/releases/tag/2.10.0\n\n## Documentation\n\nSaleor documentation is available here: [docs.saleor.io](https://docs.saleor.io)\n\nTo contribute, please see the [`mirumee/saleor-docs` repository](https://github.com/mirumee/saleor-docs/).\n\n## Saleor Platform\nThe easiest way to run all components of Saleor (API, storefront and dashboard) together on your local machine is to use the [saleor-platform](https://github.com/mirumee/saleor-platform) project. Go to that repository for instructions on how to use it.\n\n[View saleor-platform](https://github.com/mirumee/saleor-platform)\n\n## Storefront\n\nFor PWA, single-page storefront go to the [saleor-storefront](https://github.com/mirumee/saleor-storefront) repository.\n\n[View storefront demo](https://pwa.saleor.io/)\n\n## Dashboard\n\nFor dashboard go to the [saleor-dashboard](https://github.com/mirumee/saleor-dashboard) repository.\n\n[View dashboard demo](https://pwa.saleor.io/dashboard/)\n\n## Demo\n\nWant to see Saleor in action?\n\n[View Storefront](https://pwa.saleor.io/) | [View Dashboard (admin area)](https://pwa.saleor.io/dashboard/)\n\nOr launch the demo on a free Heroku instance.\n\n[![Deploy](https://www.herokucdn.com/deploy/button.svg)](https://heroku.com/deploy)\n\nLogin credentials: `admin@example.com`/`admin`\n\n## Contributing\n\nWe love your contributions and do our best to provide you with mentorship and support. If you are looking for an issue to tackle, take a look at issues labeled [`Help Wanted`](https://github.com/mirumee/saleor/issues?q=is%3Aopen+is%3Aissue+label%3A%22help+wanted%22).\n\nIf nothing grabs your attention, check [our roadmap](https://github.com/mirumee/saleor/projects/6) or come up with your feature. Just drop us a line or [open an issue](https://github.com/mirumee/saleor/issues/new) and we’ll work out how to handle it.\n\nGet more details in our [Contributing Guide](https://docs.getsaleor.com/docs/contributing/intro/).\n\n## Legacy views\n\nIf you\'re interested in using the old version of Saleor, go the [legacy-views](https://github.com/mirumee/legacy-views) repository. It contains the 2.9.0 release, which includes Django-based views and HTML templates of Storefront 1.0 and Dashboard 1.0. Note: this version of Saleor is no longer officially maintained.\n\n\n## Your feedback\n\nDo you use Saleor as an e-commerce platform?\nFill out this short survey and help us grow. It will take just a minute, but mean a lot!\n\n[Take a survey](https://mirumee.typeform.com/to/sOIJbJ)\n\n## License\n\nDisclaimer: Everything you see here is open and free to use as long as you comply with the [license](https://github.com/mirumee/saleor/blob/master/LICENSE). There are no hidden charges. We promise to do our best to fix bugs and improve the code.\n\nSome situations do call for extra code; we can cover exotic use cases or build you a custom e-commerce appliance.\n\n#### Crafted with ❤️ by [Mirumee Software](http://mirumee.com)\n\nhello@mirumee.com\n',
    'author': 'Mirumee Software',
    'author_email': 'hello@mirumee.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://getsaleor.com/',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'python_requires': '>=3.8,<3.9',
}


setup(**setup_kwargs)
